Subject: Re: bug#78562: Coreutils-9.7 do not build on macOS High Sierra, Version 10.13.6, because src/cksum.c: uses invalid cpu feature string for builtin

From: Paul Eggert <[email-masked]>
Date: Thu, 29 May 2025 09:48:09 -0700

On 2025-05-29 01:12, Peter Dyballa wrote:
> First try with coreutils-9.7.39-c8d75 and Apple LLVM version 10.0.0 (clang-1000.11.45.5) AND without Pádraig's patch from a few days ago. I have to change 1.18 to 1.17 in aclocal.m4 and configure (for which I prepared patches to automate this).

For future tests of diffutils etc. let's not do that. Let's use the 
latest version of everything. You shouldn't need to run even automake 
1.18; you should be able to build from a tarball without running 
aclocal, autoconf, automake, etc. If that's not working for some reason 
let's fix that first.

> 	Warning: Configuration logfiles contain indications of -Wimplicit-function-declaration; check that features were not accidentally disabled:

This warning is generated by MacPorts; see 
<https://trac.macports.org/wiki/WimplicitFunctionDeclaration>. You'll 
need a Mac expert to decide whether the warnings are bogus. My guess is 
that they are, but I'm no expert.

Must you use MacPorts? (Remember, I'm no Mac expert.) Can't you just use 
'./configure; make' like INSTALL says?

> 	 cd . && /bin/sh /opt/local/var/macports/build/_opt_mports_macports-ports_sysutils_coreutils-devel/coreutils-devel/work/coreutils-9.7.39-c8d75/build-aux/missing automake-1.17 --gnu

This suggests that you updated configure.ac or m4/*.m4 or */Makefile.am 
or something like that. Let's not do that. Just unpack the tarball and 
use it without changing any files or their timestamps. If you need to 
make patches, you'll need to later run "./bootstrap" with Automake 1.18 
and bleeding-edge-from-Savannah Autoconf and I wouldn't trust doing that 
on an ancient Mac OS platform.